Wallets
Get Wallets
GET
header
AuthorizationBearer <token>Scope: wallets:read
limit?integerPage size (1-100).
Range
1 <= value <= 100Default
20cursor?stringOpaque cursor from a previous pagination.next_cursor.
A page of wallets for the subaccount in context.
application/json- response
data*array<>pagination*Cursor pagination metadata.
curl -X GET 'https://api.betaramps.com/wallets'Example Response
{ "data": [ { "id": "wal_0192f4e6-1a2b-7c3d-8e4f-5a6b7c8d9e01", "account_id": "acc_0192f4e0-1a2b-7c3d-8e4f-5a6b7c8d9e01", "subaccount_id": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f", "asset": "USDT", "network": "tron", "address": "TR7NHqJeYQxXgjUbi9y7GnKJkMofT4zzNF", "wallet_type": "external", "is_active": true, "autoexchange": false, "created_at": "2026-10-30T12:00:00Z", "updated_at": "2026-10-30T12:00:00Z" } ], "pagination": { "has_more": false, "next_cursor": null }}